Subject: Re: bug#9684: Emacs 23.3 and 24.0.90 don't build on IRIX 6.5

From: Dan Nicolaescu <[email-masked]>
Date: Tue, 11 Oct 2011 06:18:55 -0400

Rainer Orth <[email-masked]> writes:

> Dan,
>
>> Maybe there's a problem with dumping, can you try running the above
>> command and using the  ../src/temacs binary instead of ../src/emacs ? 
>
> yes, using temacs instead works fine (but slooow, of course).
>
> Any suggestions on how to best investigate undump failures?  I'll first
> try both SGI MIPSpro cc and older gcc releases (3.4, 4.4) to check if
> they make a difference.

I don't think there have been too many important changes in the dumping
infrastructure, so if something broke is probably an oversight.

You can try compiling a version of emacs that is known to work.
Compile the bzr trunk with the same compiler + flags (maybe use just -O0).
Compare the two "emacs" binaries, use readelf to compare the elf
sections, maybe there's something obvious. 
Compare the two versions of unexelf.o, and maybe the corresponding
preprocessed files (there shouldn't be many interesting differences).
Try linking the trunk temacs with the old unexelf.o and see if you
get better behavior.